package com.red.circle.other.app.inner.service.user.user;

import java.util.Set;

/**
 * 请求黑名单
 *
 * @author lisizhe 2023/11/10  16:57
 */
public interface RequestBlacklistClientService {

  void addIp(String ip);

  void addPhoneModel(String phoneModel);

  void delKey(String key);

  boolean matchIpOrPhoneModel(String ip, String phoneModel);

  Set<String> getKeys();
}
